# Rôle lb-front-ssl 
***
Ce rôle fait les mêmes tâches que le rôle **lb-front** mais également crée un certificat autosignée pour permettre de faire du HTTPS. Pour cela, ce rôle :
  * crée le répertoire `/etc/haproxy/crt` pour le certificat
  * crée le répertoire pour la clé privée : `/etc/haproxy/crt/private`
  * génère une clé privée
  * crée un certificat auto-signé
  * s'assure que le certificat a les bonnes permissions 

NB : Le fichier `/etc/haproxy/haproxy.cfg` fonctionne avec du Round-Robin, un algoritme répartissant uniformément les requêtes entre s-lb-web1 et s-lb-web2.

Le site web est accessible à l'adresse <http://192.168.100.10> (adresse IP du s-lb).

## Ordre d'installation des serveurs.
1. Le serveur **s-lb** avec **haproxy** : met en place le load-balancer.
2. Le serveur **s-lb-bd** : héberge la base de données WordPress utilisée par les serveurs web.
3. Le serveur **s-nas** : héberge l'application WordPress et l'expose avec NFS.
4. Les serveurs **s-web1** et **s-web2** : hébergent les serveurs Apache, PHP et traitent les requêtes issues de **s-lb**.
