# Rôle lb-front pour la répartition de charge des serveurs web avec HAproxy
***

## Le rôle lb-front ?

Le rôle **lb-front** :
  * installe le paquet `haproxy` 
  * configure le fichier `/etc/haproxy/haproxy.cfg` pour y renseigner les adresses ip des serveurs web 1 et 2
  * redémarre `haproxy`
  * démarre le service `haproxy` au démarrage

NB : Le fichier `/etc/haproxy/haproxy.cfg` fonctionne avec du Round-Robin, un algoritme répartissant uniformément les requêtes entre s-lb-web1 et s-lb-web2.

Le site web est accessible à l'adresse <http://192.168.100.10> (adresse ip du s-lb).

## Ordre d'installation des serveurs.
1. Le serveur **s-lb** avec **haproxy** : met en place le load-balancer.
2. Le serveur **s-lb-bd** : héberge la base de données WordPress utilisée par les serveurs web.
3. Le serveur **s-nas** : héberge l'application WordPress et l'expose avec NFS.
4. Les serveurs **s-web1** et **s-web2** : hébergent les serveurs Apache, PHP et traitent les requêtes issues de **s-lb**.
