# Rôle Zabbix client
***
Rôle du Zabbix client pour la supervision des différentes machines en active

## Tables des matières
    1. Que fait le rôle Zabbix ?
    2. Installation et configuration de Zabbix-agent2
    3. Partie Windows

## Que fait le rôle Zabbix ?
Il permet de configurer les agents Zabbix en utilisant la template `Linux by Zabbix Agent Active` sur le serveur.

### Installation et configuration de Zabbix-agent2
Le rôle Zabbix-cli installe `zabbix-agent2` sur Debian. Une fois l'agent version 2 installé, le playbook se charge de modifier certain paramètres dans le fichier de configuration Zabbix qui se situe dans `/etc/zabbix/zabbix_agent2.conf`. Avec ces changements effectués, il ne reste qu'à ajouter les machines manuellement sur Zabbix en prenant la bonne template tout en choisissant de mettre la machine dans son ou ses groupes.

Pour ajouter une machine/un hôte dans Zabbix :
  * Cliquer sur _Surveillance > Hôtes_
  * Cliquer sur _Créer un hôte_
  * Entrer le nom de l'hôte et choisir le template _Linux by Zabbix agent active_
  * Ajouter la machine dans ses groupes d'hôtes
  * Dans la section _Interfaces_, cliquer sur _Ajouter_ et prendre _Agent_
  * Renseigner l'IP de la machine dans _Adresse IP_, et indiquer le nom DNS
  * Entrer une descripion (facultatif)

Une fois cela fait, l'hôte devrait être ajouté. Pour vérifier si les données remontent réellement, cliquez sur le nom de l'hôte, et allez dans _Dernières Données_, sous la section _Vue_ du menu contextuel qui s'ouvre. Il ne faut pas s'inquiéter du fait que l'hôte semble indisponible.

### Partie Windows
Pour superviser une machine Windows sur Zabbix (comme **s-win**, par exemple), on peut installer l'agent Zabbix 2 sur la machine. Lorsque le programme d'installation demande les informations suivantes, il s'agit de bien les renseigner:
 * Nom de l'hôte: **s-win** 
 * IP du serveur Zabbix: **172.16.0.8**
 * IP de l'agent Zabbix: **172.16.0.8**
 * Port d'écoute: **10050**
Avec ces paramétrages, l'agent Zabbix 2 s'installe sans problèmes. Il ne reste plus qu'à ajouter **s-win** dans Zabbix manuellement en prenant le template `Windows by Zabbix agent active`, tout en spécifiant une interface de l'agent avec les paramètres suivants:
 * Nom DNS: **s-win**
 * IP de l'agent: **172.16.0.6**
 * Port: **10050**
Une fois cela fait, la machine **s-win** devrait devenir disponible et remonter automatiquement, on peut vérifier en cliquant sur le nom de l'hôte et en allant dans _Dernières Données_.

*Modifications : ge*
