# Tuto Installation Windows Serveur
## Création de la nouvelle VM:
- Créer une nouvelle machine virtuelle avec l'image ISO "Windows Server 2019 fr-Fr x64 (Janvier 2020).iso" et cocher la case "Skip Unattended Installation". (lien source: http://store2.sio.lan/sionas/Public/iso/windows/?sort=namedirfirst&order=asc)
- Mémoire vive: 4096Mo
- Processor: 1
- Virtual Hard Disk: 30Go

## Démarrage de la VM Windows Server 2019:
- Une fois l'installation du serveur Windows 2019, démarrez la VM Windows Server.
- Faites l'installation de Windows server. Vous pouvez suivre de l'étape 3 a l'étape 12 (Lien : https://www.infonovice.fr/guide-dinstallation-de-windows-server-2019-avec-une-interface-graphique/)
- Renommez votre nom de machine du serveur Windows depuis les paramètres de "Informations Systèmes" en **s-win**. Puis redémarrez la machine.
- Modifiez les réglages de la première carte réseau pour qu'elle soit identique aux réglages suivants:
  * Adresse IP: 192.168.99.6
  * Passerelle: 192.168.99.99
  * DNS primaire: 127.0.0.1
- Modifiez ensuite les paramètres de la seconde carte réseau pour qu'ils soient identiques aux réglages ci-dessous:
  * Adresse IP: 172.16.0.6
  * Passerelle: 172.16.0.254
  * DNS primaire: 127.0.0.1
- Une fois ces réglages effectués, il faudra autoriser les téléchargements sur Internet Explorer et ajouter les sites dans la liste des sites de confiance. Une fois cela fait, on peut télécharger Git pour Windows pour cloner le dépôt git.
- Installez Serveur DNS et Services AD DS. Pour vous aider, suivez le TP de "Installation du service" à "Installation serveur DNS" (lien source: https://sio.lyc-lecastel.fr/doku.php?id=promo_2024:serveur_windows_2019-installation_ad)
- Créez une nouvelle forêt pour le domaine **gsb.lan**.
- Configurez la zone inverse du DNS et l'alimenter avec les enregistrements souhaités (A et PTR pour **s-win**, **s-itil**, **s-infra** et **r-int**. Vous pouvez vous aidez de ce tutoriel (https://www.it-connect.fr/dns-sous-windows-server-2022-comment-configurer-une-zone-de-recherche-inversee/).

## Création des dossiers partagés et des utilisateur

- Lancez `mkusr-compta.cmd` et `mkusr-ventes.cmd` sur s-win pour créer les utilisateurs avec leurs droits.
- Lancez `gsb-dossiers.cmd`. Il permet de créer des dossiers partagés.
- Le fichier `mkusr.cmd` permet de créer un autre utiliateur avec les mêmes droits que les autres.

## Utilisation des comptes utilisateurs avec AD
- Pour utiliser l'AD du serveur **s-win**, installez un poste de travail Windows 10 dans le réseau `n-user`.
- Une fois la machine installée et démarrée, mettez la carte réseau en DHCP tout en spécifiant l'adresse IP de **s-win** comme serveur DNS principal afin de permettre l'adhésion au domaine **gsb.lan** (Poste de Travail/Nom).
- Redémarrez puis onnectez-vous avec les identifiants de domaine choisis.


